SystemOrganization addCategory: #SeasideInstaller!

Object subclass: #WAInstaller
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideInstaller'!

!WAInstaller class methodsFor: 'initialization' stamp: 'lr 8/7/2006 23:55'!
initialize
	self new install! !

!WAInstaller class methodsFor: 'public' stamp: 'lr 2/27/2007 08:35'!
publish
	"self publish"

	| working version result |
	working := MCWorkingCopy forPackage: (MCPackage named: 'SeasideInstaller').
	version := working currentVersionInfo.
	result := HTTPSocket
		httpPost: 'http://map1.squeakfoundation.org/sm/packagebyname/Seaside Installer/newrelease'
		args: (Array
			with: 'version' -> (Array with: (FillInTheBlank request: 'Version'))
			with: 'note' -> (Array with: (FillInTheBlank request: 'Comment'))
			with: 'downloadURL' -> (Array with: 'http://www.squeaksource.com/Seaside/' , version name , '.mcz'))
		user: (FillInTheBlank request: 'Username')
		passwd: (FillInTheBlank requestPassword: 'Password').
	result contents size > 4 
		ifTrue: [ self error: result contents ]
! !

!WAInstaller methodsFor: 'installing' stamp: 'lr 2/25/2007 11:33'!
install
	(Smalltalk classNamed: #MCWorkingCopy)
		ifNil: [ self loadFromSqueakMap: 'Monticello' ].
	self loadFromSqueakMap: 'DynamicBindings'.
	self loadFromSqueakMap: 'KomServices'.
	self loadFromSqueakMap: 'KomHttpServer'.
	self
		loadFromMonticello: 'Seaside2.7a1-mb.205.mcz'
		repository: 'http://www.squeaksource.com/Seaside'.
	self
		loadFromMonticello: 'Scriptaculous-pmm.172.mcz'
		repository: 'http://www.squeaksource.com/Seaside'! !

!WAInstaller methodsFor: 'private' stamp: 'lr 8/8/2006 00:00'!
loadFromMonticello: aString repository: aUrl
	| repository version |
	repository := MCHttpRepository location: aUrl user: '' password: ''.
	MCRepositoryGroup default addRepository: repository.
	version := repository loadVersionFromFileNamed: aString.
	version load.
	version workingCopy repositoryGroup addRepository: repository.
	version workingCopy modified: false! !

!WAInstaller methodsFor: 'private' stamp: 'lr 8/7/2006 23:45'!
loadFromSqueakMap: aString
	(SMSqueakMap default packageWithName: aString)
		releases last install	! !
WAInstaller initialize!
